"""Experimental automatic lander. Probably work only for vertical landing.
Usage: python3 automatic_landing.py server:port"""

import landing
import sys

print(sys.argv[1])

game = landing.Landing("http://"+sys.argv[1])
while game.state == 1:
    up = left = right = 0
    if game.velocity_X < -5:
        up = 1

    if game.position_Y < game.landing_area[0]+10 and game.velocity_Y < 5:
        right = 1

    if game.position_Y > game.landing_area[1]-10 and game.velocity_Y > -5:
        left = 1

    game.update(up, left, right)

print(game.state)

